# WOK
TKWOK
WOKMake

# WOKMake_OutputFile Class Reference

`#include <WOKMake_OutputFile.hxx>`

Inheritance diagram for WOKMake_OutputFile:

[legend]

## Public Member Functions

Standard_EXPORT | WOKMake_OutputFile ()
Standard_EXPORT | WOKMake_OutputFile (const Handle(TCollection_HAsciiString)&anid, const Handle(WOKernel_File)&afile, const Handle(WOKBuilder_Entity)&abuildent, const Handle(WOKUtils_Path)&aoldpath)
Standard_EXPORT | WOKMake_OutputFile (const Handle(WOKMake_InputFile)&aninfile)
Standard_EXPORT void | SetReference ()
Standard_EXPORT void | SetProduction ()
Standard_Boolean | IsProduction () const
Standard_EXPORT void | SetMember ()
Standard_EXPORT void | SetExtern ()
Standard_Boolean | IsMember () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | ReadFile (const Handle(WOKUtils_Path)&afile, const Handle(WOKernel_Locator)&alocator, WOKMake_IndexedDataMapOfHAsciiStringOfOutputFile &amap)
static Standard_EXPORT Standard_Integer | WriteFile (const Handle(WOKUtils_Path)&afile, const WOKMake_IndexedDataMapOfHAsciiStringOfOutputFile &amap)
static Standard_EXPORT Standard_Integer | ReadFile (const Handle(WOKUtils_Path)&afile, const Handle(WOKernel_Locator)&alocator, const Handle(WOKMake_HSequenceOfOutputFile)&aseq)
static Standard_EXPORT Standard_Integer | WriteFile (const Handle(WOKUtils_Path)&afile, const Handle(WOKMake_HSequenceOfOutputFile)&aseq)

## Static Private Member Functions

static Standard_EXPORT void | ReadLine (Standard_IStream &astream, const Handle(WOKernel_Locator)&locator, Handle(WOKMake_OutputFile)&infile)
static Standard_EXPORT void | WriteLine (Standard_OStream &astream, const Handle(WOKMake_OutputFile)&infile)

## Constructor & Destructor Documentation

Standard_EXPORT WOKMake_OutputFile::WOKMake_OutputFile | ( |  | ) |

Standard_EXPORT WOKMake_OutputFile::WOKMake_OutputFile | ( | const Handle(TCollection_HAsciiString)& | anid,
|  | const Handle(WOKernel_File)& | afile,
|  | const Handle(WOKBuilder_Entity)& | abuildent,
|  | const Handle(WOKUtils_Path)& | aoldpath
| ) |

Standard_EXPORT WOKMake_OutputFile::WOKMake_OutputFile | ( | const Handle(WOKMake_InputFile)& | aninfile | ) |

## Member Function Documentation

Standard_EXPORT const WOKMake_OutputFile::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKMake_StepFile.

Standard_Boolean WOKMake_OutputFile::IsMember | ( |  | ) | const`[inline]`

Standard_Boolean WOKMake_OutputFile::IsProduction | ( |  | ) | const`[inline]`

static Standard_EXPORT Standard_Integer WOKMake_OutputFile::ReadFile | ( | const Handle(WOKUtils_Path)& | afile,
|  | const Handle(WOKernel_Locator)& | alocator,
|  | const Handle(WOKMake_HSequenceOfOutputFile)& | aseq
| ) | `[static]`

static Standard_EXPORT Standard_Integer WOKMake_OutputFile::ReadFile | ( | const Handle(WOKUtils_Path)& | afile,
|  | const Handle(WOKernel_Locator)& | alocator,
|  | WOKMake_IndexedDataMapOfHAsciiStringOfOutputFile & | amap
| ) | `[static]`

static Standard_EXPORT void WOKMake_OutputFile::ReadLine | ( | Standard_IStream & | astream,
|  | const Handle(WOKernel_Locator)& | locator,
|  | Handle(WOKMake_OutputFile)& | infile
| ) | `[static, private]`

Standard_EXPORT void WOKMake_OutputFile::SetExtern | ( |  | ) |

Standard_EXPORT void WOKMake_OutputFile::SetMember | ( |  | ) |

Standard_EXPORT void WOKMake_OutputFile::SetProduction | ( |  | ) |

Standard_EXPORT void WOKMake_OutputFile::SetReference | ( |  | ) |

static Standard_EXPORT Standard_Integer WOKMake_OutputFile::WriteFile | ( | const Handle(WOKUtils_Path)& | afile,
|  | const Handle(WOKMake_HSequenceOfOutputFile)& | aseq
| ) | `[static]`

static Standard_EXPORT Standard_Integer WOKMake_OutputFile::WriteFile | ( | const Handle(WOKUtils_Path)& | afile,
|  | const WOKMake_IndexedDataMapOfHAsciiStringOfOutputFile & | amap
| ) | `[static]`

static Standard_EXPORT void WOKMake_OutputFile::WriteLine | ( | Standard_OStream & | astream,
|  | const Handle(WOKMake_OutputFile)& | infile
| ) | `[static, private]`

The documentation for this class was generated from the following files:

- WOKMake_OutputFile.hxx
- WOKMake_OutputFile.lxx